package com.pfc.app.nbff;

import java.io.BufferedReader;
import java.io.InputStream;
import java.io.InputStreamReader;

import org.apache.http.HttpEntity;
import org.apache.http.HttpResponse;
import org.apache.http.client.HttpClient;
import org.apache.http.client.methods.HttpPost;
import org.apache.http.impl.client.DefaultHttpClient;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;
import org.json.JSONTokener;

import android.app.AlertDialog;
import android.app.ListActivity;
import android.content.DialogInterface;
import android.content.Intent;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.util.Log;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.ArrayAdapter;
import android.widget.EditText;
import android.widget.ListView;
import android.widget.Toast;

public class ActividadFormularioBusco extends ListActivity {

	static final String[] OPCIONES = new String[] {"Sexo", "Altura", "Peso", "Edad", "Complexión", "Nivel de Estudios" , "Busco..."};
	
	private String nombreUsuario = new String();
	private String apellidos = new String();
	private String nickName = new String();
	private String password = new String();
	private String email = new String();
	
	private int sexoUsuario = 0;
	private int alturaUsuario = 0;
	private int pesoUsuario = 0;
	private int edadUsuario = 0;
	private int complexionUsuario = 0;
	private int nivelEstudiosUsuario = 0;
	private String saludoUsuario = new String();
	private String descripcionUsuario = new String();
	private int quiero = 0;
	
	private int buscoSexo = 0;
	private int buscoAltura = 0;
	private int buscoPeso = 0;
	private int buscoEdad = 0;
	private int buscoComplexion = 0;
	private int buscoEstudios = 0;
	private int buscoQue = 0;
	
	
	
	/** Se llama a este m�todo cuando se crea la actividad.
     * 
     * @param savedInstanceState Contendr� los datos guardados a trav�s del m�todo onSavedInstance(Bundle) si la actividad a sido arrancada poco despu�s de haber sido cerrada.
     */
	
	
	@Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        //Le damos una vista que mostrar al programa
        setContentView(R.layout.layout_lista);
        setTitle(R.string.tituloBusco);
        nickName = getIntent().getStringExtra("nick");
        nombreUsuario = getIntent().getStringExtra("nombre");
        apellidos = getIntent().getStringExtra("apellidos");
        password = getIntent().getStringExtra("pass");
        email = getIntent().getStringExtra("email");
        
        sexoUsuario = getIntent().getIntExtra("sexo", 0);
        alturaUsuario = getIntent().getIntExtra("altura", 0);
        pesoUsuario = getIntent().getIntExtra("peso", 0);
        edadUsuario = getIntent().getIntExtra("edad", 0);
        complexionUsuario = getIntent().getIntExtra("complexion", 0);
        nivelEstudiosUsuario = getIntent().getIntExtra("estudios", 0);
        saludoUsuario = getIntent().getStringExtra("saludo");
        descripcionUsuario = getIntent().getStringExtra("descripcion");
        quiero = getIntent().getIntExtra("quiero", 0);
        
        setListAdapter(new ArrayAdapter<String>(this, android.R.layout.simple_list_item_1,OPCIONES) );
        
	}

	
	protected void onListItemClick(ListView l, View v, int position, long id){
		
		super.onListItemClick(l, v, position, id);
		
		int i = (int) id;
		AlertDialog dialogo;
		
		switch (i) {
			case 0:
				AlertDialog.Builder constructorSexo = new AlertDialog.Builder(ActividadFormularioBusco.this);
				constructorSexo.setTitle(R.string.tituloSexoBusco);
				constructorSexo.setCancelable(true);
				
				int itemSeleccionadoSexo = buscoSexo-1;
				
				Log.i("PreferenciasSexo", "El sexo seleccionado es (itemseleccionado): " + itemSeleccionadoSexo + " y " + buscoSexo);
				
				switch (buscoSexo-1) {
					//Hombre
					case 0:	
						itemSeleccionadoSexo = 0;
						Log.i("PreferenciasSexo", "case 0");
						break;
					//Mujer
					case 1:
						itemSeleccionadoSexo = 1;
						Log.i("PreferenciasSexo", "case 1");
						break;
				}
			
				constructorSexo.setSingleChoiceItems(R.array.sexo, itemSeleccionadoSexo, new DialogInterface.OnClickListener() {
					
					public void onClick(DialogInterface dialog, int which) {
						switch (which) {
						case 0:
							buscoSexo = 1;
							Log.i("PreferenciasSexo", "case 0 del click");
							break;
	
						case 1:
							buscoSexo = 2;
							Log.i("PreferenciasSexo", "case 1 del click");
							break;
						}
						
					}
				});
				
				
				constructorSexo.setPositiveButton(R.string.aceptar, new DialogInterface.OnClickListener() {
					
					public void onClick(DialogInterface dialog, int which) {
						
						dialog.dismiss();
						
					}
				});
				
				dialogo = constructorSexo.create();
				dialogo.show();
				break;
			case 1:
				AlertDialog.Builder constructorAlt = new AlertDialog.Builder(ActividadFormularioBusco.this);
				constructorAlt.setTitle(R.string.tituloAlturaBusco);
				constructorAlt.setCancelable(true);

				int itemSeleccionadoAlt = buscoAltura-1;
				
				Log.i("PreferenciasAltura", "La altura seleccionada es (itemseleccionado): " + itemSeleccionadoAlt + " y " + buscoAltura);
				
				switch (buscoAltura-1) {
				
					case 0:	
						itemSeleccionadoAlt = 0;
						Log.i("PreferenciasAltura", "case 0");
						break;
					case 1:
						itemSeleccionadoAlt = 1;
						Log.i("PreferenciasAltura", "case 1");
						break;
					case 2:
						itemSeleccionadoAlt = 2;
						Log.i("PreferenciasAltura", "case 2");
						break;
					case 3:
						itemSeleccionadoAlt = 3;
						Log.i("PreferenciasAltura", "case 3");
						break;
					case 4:
						itemSeleccionadoAlt = 4;
						Log.i("PreferenciasAltura", "case 4");
						break;
					case 5:
						itemSeleccionadoAlt = 5;
						Log.i("PreferenciasAltura", "case 5");
						break;
					case 6:
						itemSeleccionadoAlt = 6;
						Log.i("PreferenciasAltura", "case 6");
						break;
					case 7:
						itemSeleccionadoAlt = 7;
						Log.i("PreferenciasAltura", "case 7");
						break;
					case 8:
						itemSeleccionadoAlt = 8;
						Log.i("PreferenciasAltura", "case 8");
						break;
				}
			
				constructorAlt.setSingleChoiceItems(R.array.altura, itemSeleccionadoAlt, new DialogInterface.OnClickListener() {
					
					public void onClick(DialogInterface dialog, int which) {
						switch (which) {
							case 0:
								buscoAltura = 1;
								Log.i("PreferenciasAltura", "case 0 del click");
								break;
		
							case 1:
								buscoAltura = 2;
								Log.i("PreferenciasAltura", "case 1 del click");
								break;
							case 2:
								buscoAltura = 3;
								Log.i("PreferenciasAltura", "case 2 del click");
								break;
							case 3:
								buscoAltura = 4;
								Log.i("PreferenciasAltura", "case 3 del click");
								break;
							case 4:
								buscoAltura = 5;
								Log.i("PreferenciasAltura", "case 4 del click");
								break;
							case 5:
								buscoAltura = 6;
								Log.i("PreferenciasAltura", "case 5 del click");
								break;
							case 6:
								buscoAltura = 7;
								Log.i("PreferenciasAltura", "case 6 del click");
								break;
							case 7:
								buscoAltura = 8;
								Log.i("PreferenciasAltura", "case 7 del click");
								break;
							case 8:
								buscoAltura = 9;
								Log.i("PreferenciasAltura", "case 8 del click");
								break;
						}
						
					}
				});
				
				
				constructorAlt.setPositiveButton(R.string.aceptar, new DialogInterface.OnClickListener() {
					
					public void onClick(DialogInterface dialog, int which) {
						
						dialog.dismiss();
						
					}
				});
				
				dialogo = constructorAlt.create();
				dialogo.show();
				break;
			case 2:
				AlertDialog.Builder constructorPeso = new AlertDialog.Builder(ActividadFormularioBusco.this);
				constructorPeso.setTitle(R.string.tituloPesoBusco);
				constructorPeso.setCancelable(true);
				int itemSeleccionadoPeso = buscoPeso-1;
				
				Log.i("PreferenciasPeso", "El peso seleccionado es (itemseleccionado): " + itemSeleccionadoPeso + " y " + buscoPeso);
				
				switch (buscoPeso-1) {
					case 0:	
						itemSeleccionadoPeso = 0;
						Log.i("PreferenciasPeso", "case 0");
						break;

					case 1:
						itemSeleccionadoPeso = 1;
						Log.i("PreferenciasPeso", "case 1");
						break;
					case 2:
						itemSeleccionadoPeso = 2;
						Log.i("PreferenciasPeso", "case 2");
						break;
					case 3:
						itemSeleccionadoPeso = 3;
						Log.i("PreferenciasPeso", "case 3");
						break;
					case 4:
						itemSeleccionadoPeso = 4;
						Log.i("PreferenciasPeso", "case 4");
						break;
					case 5:
						itemSeleccionadoPeso = 5;
						Log.i("PreferenciasPeso", "case 5");
						break;
					case 6:
						itemSeleccionadoPeso = 6;
						Log.i("PreferenciasPeso", "case 6");
						break;
					case 7:
						itemSeleccionadoPeso = 7;
						Log.i("PreferenciasPeso", "case 7");
						break;
				}
			
				constructorPeso.setSingleChoiceItems(R.array.peso, itemSeleccionadoPeso, new DialogInterface.OnClickListener() {
					
					public void onClick(DialogInterface dialog, int which) {
						switch (which) {
							case 0:
								buscoPeso = 1;
								Log.i("PreferenciasPeso", "case 0 del click");
								break;
		
							case 1:
								buscoPeso = 2;
								Log.i("PreferenciasPeso", "case 1 del click");
								break;
							case 2:
								buscoPeso = 3;
								Log.i("PreferenciasPeso", "case 2 del click");
								break;
							case 3:
								buscoPeso = 4;
								Log.i("PreferenciasPeso", "case 3 del click");
								break;
							case 4:
								buscoPeso = 5;
								Log.i("PreferenciasPeso", "case 4 del click");
								break;
							case 5:
								buscoPeso = 6;
								Log.i("PreferenciasPeso", "case 5 del click");
								break;
							case 6:
								buscoPeso = 7;
								Log.i("PreferenciasPeso", "case 6 del click");
								break;
							case 7:
								buscoPeso = 8;
								Log.i("PreferenciasPeso", "case 7 del click");
								break;
						}
						
					}
				});
				
				
				constructorPeso.setPositiveButton(R.string.aceptar, new DialogInterface.OnClickListener() {
					
					public void onClick(DialogInterface dialog, int which) {
						
						dialog.dismiss();
						
					}
				});
				dialogo = constructorPeso.create();
				dialogo.show();
				break;
			case 3:
				AlertDialog.Builder constructorEdad = new AlertDialog.Builder(ActividadFormularioBusco.this);
				constructorEdad.setTitle(R.string.tituloEdadBusco);
				constructorEdad.setCancelable(true);
				int itemSeleccionadoEdad = buscoEdad-1;
				
				Log.i("PreferenciasEdad", "La edad seleccionada es (itemseleccionado): " + itemSeleccionadoEdad + " y " + buscoEdad);
				
				switch (buscoEdad-1) {
					case 0:	
						itemSeleccionadoEdad = 0;
						Log.i("PreferenciasEdad", "case 0");
						break;
					case 1:
						itemSeleccionadoEdad = 1;
						Log.i("PreferenciasEdad", "case 1");
						break;
					case 2:
						itemSeleccionadoEdad = 2;
						Log.i("PreferenciasEdad", "case 2");
						break;
					case 3:
						itemSeleccionadoEdad = 3;
						Log.i("PreferenciasEdad", "case 3");
						break;
					case 4:
						itemSeleccionadoEdad = 4;
						Log.i("PreferenciasEdad", "case 4");
						break;
					case 5:
						itemSeleccionadoEdad = 5;
						Log.i("PreferenciasEdad", "case 5");
						break;
					case 6:
						itemSeleccionadoEdad = 6;
						Log.i("PreferenciasEdad", "case 6");
						break;
					case 7:
						itemSeleccionadoEdad = 7;
						Log.i("PreferenciasEdad", "case 7");
						break;
					case 8:
						itemSeleccionadoEdad = 8;
						Log.i("PreferenciasEdad", "case 8");
						break;
				}
			
				constructorEdad.setSingleChoiceItems(R.array.edad, itemSeleccionadoEdad, new DialogInterface.OnClickListener() {
					
					public void onClick(DialogInterface dialog, int which) {
						switch (which) {
							case 0:
								buscoEdad = 1;
								Log.i("PreferenciasEdad", "case 0 del click");
								break;
		
							case 1:
								buscoEdad = 2;
								Log.i("PreferenciasEdad", "case 1 del click");
								break;
							case 2:
								buscoEdad = 3;
								Log.i("PreferenciasEdad", "case 2 del click");
								break;
							case 3:
								buscoEdad = 4;
								Log.i("PreferenciasEdad", "case 3 del click");
								break;
							case 4:
								buscoEdad = 5;
								Log.i("PreferenciasEdad", "case 4 del click");
								break;
							case 5:
								buscoEdad = 6;
								Log.i("PreferenciasEdad", "case 5 del click");
								break;
							case 6:
								buscoEdad = 7;
								Log.i("PreferenciasEdad", "case 6 del click");
								break;
							case 7:
								buscoEdad = 8;
								Log.i("PreferenciasEdad", "case 7 del click");
								break;
							case 8:
								buscoEdad = 9;
								Log.i("PreferenciasEdad", "case 8 del click");
								break;
						}
						
					}
				});
				
				
				constructorEdad.setPositiveButton(R.string.aceptar, new DialogInterface.OnClickListener() {
					
					public void onClick(DialogInterface dialog, int which) {
						
						dialog.dismiss();
						
					}
				});
				
				dialogo = constructorEdad.create();
				dialogo.show();
				break;
			case 4:
				AlertDialog.Builder constructorComplex = new AlertDialog.Builder(ActividadFormularioBusco.this);
				constructorComplex.setTitle(R.string.tituloComplexionBusco);
				constructorComplex.setCancelable(true);
				int itemSeleccionadoComp = buscoComplexion-1;
				
				Log.i("PreferenciasComplexión", "La complexión seleccionada es (itemseleccionado): " + itemSeleccionadoComp + " y " + buscoComplexion);
				
				switch (buscoComplexion-1) {
					case 0:	
						itemSeleccionadoComp = 0;
						Log.i("PreferenciasComplexión", "case 0");
						break;
					case 1:
						itemSeleccionadoComp = 1;
						Log.i("PreferenciasComplexión", "case 1");
						break;
					case 2:
						itemSeleccionadoComp = 2;
						Log.i("PreferenciasComplexión", "case 2");
						break;
					case 3:
						itemSeleccionadoComp = 3;
						Log.i("PreferenciasComplexión", "case 3");
						break;
					case 4:
						itemSeleccionadoComp = 4;
						Log.i("PreferenciasComplexión", "case 4");
						break;
					case 5:
						itemSeleccionadoComp = 5;
						Log.i("PreferenciasComplexión", "case 5");
						break;
					case 6:
						itemSeleccionadoComp = 6;
						Log.i("PreferenciasComplexión", "case 6");
						break;
					case 7:
						itemSeleccionadoComp = 7;
						Log.i("PreferenciasComplexión", "case 7");
						break;
				}
			
				constructorComplex.setSingleChoiceItems(R.array.complexion, itemSeleccionadoComp, new DialogInterface.OnClickListener() {
					
					public void onClick(DialogInterface dialog, int which) {
						switch (which) {
							case 0:
								buscoComplexion = 1;
								Log.i("PreferenciasComplexión", "case 0 del click");
								break;
							case 1:
								buscoComplexion = 2;
								Log.i("PreferenciasComplexión", "case 1 del click");
								break;
							case 2:
								buscoComplexion = 3;
								Log.i("PreferenciasComplexión", "case 2 del click");
								break;
							case 3:
								buscoComplexion = 4;
								Log.i("PreferenciasComplexión", "case 3 del click");
								break;
							case 4:
								buscoComplexion = 5;
								Log.i("PreferenciasComplexión", "case 4 del click");
								break;
							case 5:
								buscoComplexion = 6;
								Log.i("PreferenciasComplexión", "case 5 del click");
								break;
							case 6:
								buscoComplexion = 7;
								Log.i("PreferenciasComplexión", "case 6 del click");
								break;
							case 7:
								buscoComplexion = 8;
								Log.i("PreferenciasComplexión", "case 7 del click");
								break;
						}
						
					}
				});
				
				
				constructorComplex.setPositiveButton(R.string.aceptar, new DialogInterface.OnClickListener() {
					
					public void onClick(DialogInterface dialog, int which) {
						
						dialog.dismiss();
						
					}
				});
				
				dialogo = constructorComplex.create();
				dialogo.show();
				break;
			
			case 5:
				AlertDialog.Builder constructorEst = new AlertDialog.Builder(ActividadFormularioBusco.this);
				constructorEst.setTitle(R.string.tituloEstudiosBusco);
				constructorEst.setCancelable(true);
				
				int itemSeleccionadoEst = buscoEstudios-1;
				
				Log.i("PreferenciasEst", "El sexo seleccionado es (itemseleccionado): " + itemSeleccionadoEst + " y " + buscoEstudios);
				
				switch (buscoEstudios-1) {
					case 0:	
						itemSeleccionadoEst = 0;
						Log.i("PreferenciasEst", "case 0");
						break;
					case 1:
						itemSeleccionadoEst = 1;
						Log.i("PreferenciasEst", "case 1");
						break;
					case 2:
						itemSeleccionadoEst = 2;
						Log.i("PreferenciasEst", "case 2");
						break;
					case 3:
						itemSeleccionadoEst = 3;
						Log.i("PreferenciasEst", "case 3");
						break;
					case 4:
						itemSeleccionadoEst = 4;
						Log.i("PreferenciasEst", "case 4");
						break;
				}
			
				constructorEst.setSingleChoiceItems(R.array.nivelEstudios, itemSeleccionadoEst, new DialogInterface.OnClickListener() {
					
					public void onClick(DialogInterface dialog, int which) {
						switch (which) {
							case 0:
								buscoEstudios = 1;
								Log.i("PreferenciasEst", "case 0 del click");
								break;
		
							case 1:
								buscoEstudios = 2;
								Log.i("PreferenciasEst", "case 1 del click");
								break;
							case 2:
								buscoEstudios = 3;
								Log.i("PreferenciasEst", "case 2 del click");
								break;
							case 3:
								buscoEstudios = 4;
								Log.i("PreferenciasEst", "case 3 del click");
								break;
							case 4:
								buscoEstudios = 5;
								Log.i("PreferenciasEst", "case 4 del click");
								break;
						}
						
					}
				});
				
				
				constructorEst.setPositiveButton(R.string.aceptar, new DialogInterface.OnClickListener() {
					
					public void onClick(DialogInterface dialog, int which) {
						
						dialog.dismiss();
						
					}
				});
				
				dialogo = constructorEst.create();
				dialogo.show();
				break;
			case 6:
				AlertDialog.Builder constructorBus = new AlertDialog.Builder(ActividadFormularioBusco.this);
				constructorBus.setTitle(R.string.tituloBuscoQUEBusco);
				constructorBus.setCancelable(true);
				
				int itemSeleccionadoBus = buscoQue-1;
				
				Log.i("PreferenciasBus", "El sexo seleccionado es (itemseleccionado): " + itemSeleccionadoBus + " y " + buscoQue);
				
				switch (buscoQue-1) {
					case 0:	
						itemSeleccionadoBus = 0;
						Log.i("PreferenciasBus", "case 0");
						break;
					case 1:
						itemSeleccionadoBus = 1;
						Log.i("PreferenciasBus", "case 1");
						break;
					case 2:
						itemSeleccionadoBus = 2;
						Log.i("PreferenciasBus", "case 2");
						break;
					case 3:
						itemSeleccionadoBus = 3;
						Log.i("PreferenciasBus", "case 3");
						break;
					case 4:
						itemSeleccionadoBus = 4;
						Log.i("PreferenciasBus", "case 4");
						break;
					case 5:
						itemSeleccionadoBus = 5;
						Log.i("PreferenciasBus", "case 5");
						break;
				}
			
				constructorBus.setSingleChoiceItems(R.array.busco, itemSeleccionadoBus, new DialogInterface.OnClickListener() {
					
					public void onClick(DialogInterface dialog, int which) {
						switch (which) {
							case 0:
								buscoQue = 1;
								Log.i("PreferenciasBus", "case 0 del click");
								break;
		
							case 1:
								buscoQue = 2;
								Log.i("PreferenciasBus", "case 1 del click");
								break;
							case 2:
								buscoQue = 3;
								Log.i("PreferenciasBus", "case 2 del click");
								break;
							case 3:
								buscoQue = 4;
								Log.i("PreferenciasBus", "case 3 del click");
								break;
							case 4:
								buscoQue = 5;
								Log.i("PreferenciasBus", "case 4 del click");
								break;
							case 5:
								buscoQue = 6;
								Log.i("PreferenciasBus", "case 5 del click");
								break;
						}
						
					}
				});
				
				
				constructorBus.setPositiveButton(R.string.aceptar, new DialogInterface.OnClickListener() {
					
					public void onClick(DialogInterface dialog, int which) {
						
						dialog.dismiss();
						
					}
				});
				
				dialogo = constructorBus.create();
				dialogo.show();
				break;
		}
				
	}
	
public boolean onCreateOptionsMenu (Menu menu){
		
		boolean result = super.onCreateOptionsMenu(menu);
		menu.add(0, 0, 0, R.string.siguiente).setIcon(R.drawable.guardar);
		return result;
		
	}
	
	public boolean onOptionsItemSelected (MenuItem item){
		switch(item.getItemId()){
		
		case 0:
		
			Log.i("SeleccionSalvar", "a ver a ver esto qué es?");
			
			Intent data = new Intent (this, ActividadMapa.class);
			data.putExtra("nombre", nombreUsuario);
			data.putExtra("apellidos", apellidos);
			data.putExtra("pass", password);
			data.putExtra("nick", nickName);
			data.putExtra("email", email);
			
			Log.i("FinalRegistro", "Nombre: " + nombreUsuario + " contraseña: " + password + " Apellidos: " + apellidos + " nick: " + nickName + " email: " + email );
			Log.i("FinalRegistro", "El sexo es: " + sexoUsuario + " altura: " + alturaUsuario + " peso: " + pesoUsuario + " edad: " + edadUsuario + " complexión: " + complexionUsuario);
			Log.i("FinalRegistro", "El nivel de estudios es: " + nivelEstudiosUsuario + " .Descripción: " + descripcionUsuario + " .Saludo: " + saludoUsuario + "yo quiero..." + quiero);
			Log.i("FinalRegistroB", "El sexo es: " + buscoSexo + " altura: " + buscoAltura + " peso: " + buscoPeso + " edad: " + buscoEdad + " complexión: " + buscoComplexion);
			Log.i("FinalRegistroB", "Lo que busco es... " + buscoQue + " y el nivel de estudios que busco es... " + buscoEstudios);
			
			altaUsuario(nickName,password,nombreUsuario,apellidos,email);
			String idus = NBFF.comprobarUsuario(nickName);
			altaPerfil(idus,sexoUsuario,alturaUsuario,pesoUsuario,edadUsuario,complexionUsuario,nivelEstudiosUsuario,descripcionUsuario,saludoUsuario, quiero);
			altaBusco(idus,buscoSexo,buscoAltura,buscoPeso,buscoEdad,buscoComplexion,buscoQue,buscoEstudios);
			
			
			SharedPreferences settings = getSharedPreferences("perfil", MODE_PRIVATE);
			SharedPreferences.Editor editor = settings.edit();
			editor.putString("primeraVez", "false");
			editor.commit();
			
			/*Intent iFormularioBusco = new Intent (ActividadFormularioBusco.this, ActividadFormularioBusco.class);
	 		iFormularioBusco.putExtra("nombre", nombreUsuario);
	 		iFormularioBusco.putExtra("pass", password);
	 		iFormularioBusco.putExtra("email", email);
	 		iFormularioBusco.putExtra("nick", nickName);
	 		iFormularioBusco.putExtra("apellidos", apellidos);
	 		Log.i("SeleccionSalvar", "Se va a lanzar el segundo formulario con los datos añadidos");
			startActivityForResult(iFormularioBusco, 2);
			Log.i("SeleccionSalvar", "Se ha lanzado el segundo formulario");
			*/
			finish();
			
			
		}
		return super.onOptionsItemSelected(item);
		
	}
	
	private String altaBusco(String pid, int pbuscoSexo, int pbuscoAltura, int pbuscoPeso,int pbuscoEdad, int pbuscoComplexion, int pbuscoQue,
			int pbuscoEstudios) {
		 String URLAltaBusco = "http://aperezba.dyndns.org:9080/webService/BuscaUsuariosAction.action?parametroJSON=";
	   	 String aux = URLAltaBusco.concat(pid + "xx" + pbuscoSexo + "xx" + pbuscoAltura + "xx" + pbuscoPeso + "xx" + pbuscoEdad + "xx" + pbuscoComplexion + "xx" + pbuscoQue + "xx" + pbuscoEstudios);
	   	 String retAltaBusco = "-1";
	   	 InputStream is = null;
	   	 
	   	 try{
				    HttpClient httpclient = new DefaultHttpClient();
				    HttpPost httppost = new HttpPost(aux);
				    HttpResponse response = httpclient.execute(httppost);
				    HttpEntity entity = response.getEntity();
				    is = entity.getContent();
				    
				}catch(Exception e){
				    Log.i("log_tagggggggg", "Error en conexión http, compruebe que está conectado a internet, "+e.toString());
				    
				}
				
				try{
				    BufferedReader reader = new BufferedReader(new InputStreamReader(is,"iso-8859-1"),8);
				    StringBuilder sb = new StringBuilder();
				    String line = null;
				    while ((line = reader.readLine()) != null) {
				            sb.append(line + "\n");
				    }
				    is.close();
				    retAltaBusco=sb.toString();
				   
				}catch(Exception e){
				    Log.e("log_taggggggg", "Error converting result "+e.toString());
				   
				}
			 Log.i("ComprobarUsuario", "y el resultado es..." + retAltaBusco);	
			 
			 try{
					
				JSONObject json = (JSONObject) new JSONTokener(retAltaBusco).nextValue();
				Log.i("ComprobarUsuario", "Objeto JSON creado");
				JSONArray nameArray = json.names();
				Log.i("ComprobarUsuario", "obtenemos nombres");
				JSONArray valArray = json.toJSONArray(nameArray);
				Log.i("ComprobarUsuario", "lo pasamos a array");
				
	   		retAltaBusco = new String (valArray.getString(0));
	   		Log.i("ComprobarUsuario", "Lo convertimos a String " + retAltaBusco);
		         	
			        
				}catch(JSONException e){
			            Log.e("log_tag", "Error parsing data ()"+e.toString());
				}
				
			 
			 
	   	 return retAltaBusco;
		
	}


	private String altaPerfil(String pidPerf, int psexoUsuario, int palturaUsuario,int ppesoUsuario, int pedadUsuario, int pcomplexionUsuario,int pnivelEstudiosUsuario, 
		 String pdescripcionUsuario,	String psaludoUsuario, int pquiero) {
		 String URLAltaPerfil = "http://aperezba.dyndns.org:9080/webService/EditaPerfilAction.action?parametroJSON=";
	   	 String aux = URLAltaPerfil.concat(pidPerf + "xx" + psexoUsuario + "xx" + palturaUsuario + "xx" + ppesoUsuario + "xx" 
	   			 + pedadUsuario + "xx" + pcomplexionUsuario + "xx" + pquiero + "xx" + pnivelEstudiosUsuario + "xx" 
	   			 + psaludoUsuario + "xx" + pdescripcionUsuario + "xxURLfoto");
	   	
	   	 String retAltaPerfil = "-1";
	   	 InputStream is = null;
	   	 
	   	 try{
				    HttpClient httpclient = new DefaultHttpClient();
				    HttpPost httppost = new HttpPost(aux);
				    HttpResponse response = httpclient.execute(httppost);
				    HttpEntity entity = response.getEntity();
				    is = entity.getContent();
				    
				}catch(Exception e){
				    Log.i("log_tagggggggg", "Error en conexión http, compruebe que está conectado a internet, "+e.toString());
				    
				}
				
				try{
				    BufferedReader reader = new BufferedReader(new InputStreamReader(is,"iso-8859-1"),8);
				    StringBuilder sb = new StringBuilder();
				    String line = null;
				    while ((line = reader.readLine()) != null) {
				            sb.append(line + "\n");
				    }
				    is.close();
				    retAltaPerfil=sb.toString();
				   
				}catch(Exception e){
				    Log.e("log_taggggggg", "Error converting result "+e.toString());
				   
				}
			 Log.i("ComprobarUsuario", "y el resultado es..." + retAltaPerfil);	
			 
			 try{
					
				JSONObject json = (JSONObject) new JSONTokener(retAltaPerfil).nextValue();
				Log.i("ComprobarUsuario", "Objeto JSON creado");
				JSONArray nameArray = json.names();
				Log.i("ComprobarUsuario", "obtenemos nombres");
				JSONArray valArray = json.toJSONArray(nameArray);
				Log.i("ComprobarUsuario", "lo pasamos a array");
				
	   		retAltaPerfil = new String (valArray.getString(0));
	   		Log.i("ComprobarUsuario", "Lo convertimos a String " + retAltaPerfil);
		         	
			        
				}catch(JSONException e){
			            Log.e("log_tag", "Error parsing data ()"+e.toString());
				}
				
			 
			 
	   	 return retAltaPerfil;
		
	}


	private String altaUsuario(String pnick, String ppass,String pnom, String pap, String pem) {
		 String URLAltaUsu = "http://aperezba.dyndns.org:9080/webService/AltaUsuarioAction.action?parametroJSON=";
	   	 String aux = URLAltaUsu.concat(pnick + "xx" + pnom + "xx" + pap + "xx" + pem + "xx" + ppass);
	   	 String retAltaUsu = "-1";
	   	 InputStream is = null;
	   	 
	   	 try{
				    HttpClient httpclient = new DefaultHttpClient();
				    HttpPost httppost = new HttpPost(aux);
				    HttpResponse response = httpclient.execute(httppost);
				    HttpEntity entity = response.getEntity();
				    is = entity.getContent();
				    
				}catch(Exception e){
				    Log.i("log_tagggggggg", "Error en conexión http, compruebe que está conectado a internet, "+e.toString());
				    
				}
				
				try{
				    BufferedReader reader = new BufferedReader(new InputStreamReader(is,"iso-8859-1"),8);
				    StringBuilder sb = new StringBuilder();
				    String line = null;
				    while ((line = reader.readLine()) != null) {
				            sb.append(line + "\n");
				    }
				    is.close();
				    retAltaUsu=sb.toString();
				   
				}catch(Exception e){
				    Log.e("log_taggggggg", "Error converting result "+e.toString());
				   
				}
			 Log.i("ComprobarUsuario", "y el resultado es..." + retAltaUsu);	
			 
			 try{
					
				JSONObject json = (JSONObject) new JSONTokener(retAltaUsu).nextValue();
				Log.i("ComprobarUsuario", "Objeto JSON creado");
				JSONArray nameArray = json.names();
				Log.i("ComprobarUsuario", "obtenemos nombres");
				JSONArray valArray = json.toJSONArray(nameArray);
				Log.i("ComprobarUsuario", "lo pasamos a array");
				
	   		retAltaUsu = new String (valArray.getString(0));
	   		Log.i("ComprobarUsuario", "Lo convertimos a String " + retAltaUsu);
		         	
			        
				}catch(JSONException e){
			            Log.e("log_tag", "Error parsing data ()"+e.toString());
				}
				
			 
			 
	   	 return retAltaUsu;
		
	}


	
}
