package com.pfc.app.nbff;

import android.app.AlertDialog;
import android.app.ListActivity;
import android.content.DialogInterface;
import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.text.InputType;
import android.text.method.PasswordTransformationMethod;
import android.util.Log;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.ArrayAdapter;
import android.widget.EditText;
import android.widget.ListView;
import android.widget.Toast;

public class ActividadFormularioPreferencias extends ListActivity {
	
	static final String[] OPCIONES = new String[] {"Sexo", "Altura", "Peso", "Edad", "Complexión", "Saludo", "Descripción", "Nivel de Estudios" , "Quiero...", "Foto"};
	
	private String nombreUsuario = new String();
	private String apellidos = new String();
	private String nickName = new String();
	private String password = new String();
	private String email = new String();
	
	private int sexoUsuario = 0;
	private int alturaUsuario = 0;
	private int pesoUsuario = 0;
	private int edadUsuario = 0;
	private int complexionUsuario = 0;
	private String saludoUsuario = new String();
	private String descripcionUsuario = new String();
	private int nivelEstudiosUsuario = 0;
	private int buscoQue = 0 ;
	
	
	
	/** Se llama a este m�todo cuando se crea la actividad.
     * 
     * @param savedInstanceState Contendr� los datos guardados a trav�s del m�todo onSavedInstance(Bundle) si la actividad a sido arrancada poco despu�s de haber sido cerrada.
     */
	
	
	@Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        //Le damos una vista que mostrar al programa
        setContentView(R.layout.layout_lista);
        setTitle(R.string.tituloPerfil);
        nickName = getIntent().getStringExtra("nick");
        nombreUsuario = getIntent().getStringExtra("nombre");
        apellidos = getIntent().getStringExtra("apellidos");
        password = getIntent().getStringExtra("pass");
        email = getIntent().getStringExtra("email");
        
        
        setListAdapter(new ArrayAdapter<String>(this, android.R.layout.simple_list_item_1,OPCIONES) );
        
	}

	
	protected void onListItemClick(ListView l, View v, int position, long id){
		
		super.onListItemClick(l, v, position, id);
		
		int i = (int) id;
		AlertDialog dialogo;
		
		switch (i) {
			case 0:
				AlertDialog.Builder constructorSexo = new AlertDialog.Builder(ActividadFormularioPreferencias.this);
				constructorSexo.setTitle(R.string.tituloSexo);
				constructorSexo.setCancelable(true);
				
				int itemSeleccionadoSexo = sexoUsuario-1;
				
				Log.i("PreferenciasSexo", "El sexo seleccionado es (itemseleccionado): " + itemSeleccionadoSexo + " y " + sexoUsuario);
				
				switch (sexoUsuario-1) {
				//Hombre
				case 0:	
					itemSeleccionadoSexo = 0;
					Log.i("PreferenciasSexo", "case 1, hombre");
					break;
				//Mujer
				case 1:
					itemSeleccionadoSexo = 1;
					Log.i("PreferenciasSexo", "case 2, mujer");
					break;
				}
			
				constructorSexo.setSingleChoiceItems(R.array.sexo, itemSeleccionadoSexo, new DialogInterface.OnClickListener() {
					
					public void onClick(DialogInterface dialog, int which) {
						switch (which) {
						case 0:
							sexoUsuario = 1;
							Log.i("PreferenciasSexo", "case 1 del click, hombre");
							break;
	
						case 1:
							sexoUsuario = 2;
							Log.i("PreferenciasSexo", "case 2 del click, mujer");
							break;
						}
						
					}
				});
				
				
				constructorSexo.setPositiveButton(R.string.aceptar, new DialogInterface.OnClickListener() {
					
					public void onClick(DialogInterface dialog, int which) {
						
						dialog.dismiss();
						
					}
				});
				
				dialogo = constructorSexo.create();
				dialogo.show();
				break;
			case 1:
				AlertDialog.Builder constructorAlt = new AlertDialog.Builder(ActividadFormularioPreferencias.this);
				constructorAlt.setTitle(R.string.tituloAltura);
				constructorAlt.setCancelable(true);

				int itemSeleccionadoAlt = alturaUsuario-1;
				
				Log.i("PreferenciasAltura", "La altura seleccionada es (itemseleccionado): " + itemSeleccionadoAlt + " y " + alturaUsuario);
				
				switch (alturaUsuario-1) {
				
					case 0:	
						itemSeleccionadoAlt = 0;
						Log.i("PreferenciasAltura", "case 0");
						break;
					case 1:
						itemSeleccionadoAlt = 1;
						Log.i("PreferenciasAltura", "case 1");
						break;
					case 2:
						itemSeleccionadoAlt = 2;
						Log.i("PreferenciasAltura", "case 2");
						break;
					case 3:
						itemSeleccionadoAlt = 3;
						Log.i("PreferenciasAltura", "case 3");
						break;
					case 4:
						itemSeleccionadoAlt = 4;
						Log.i("PreferenciasAltura", "case 4");
						break;
					case 5:
						itemSeleccionadoAlt = 5;
						Log.i("PreferenciasAltura", "case 5");
						break;
					case 6:
						itemSeleccionadoAlt = 6;
						Log.i("PreferenciasAltura", "case 6");
						break;
					case 7:
						itemSeleccionadoAlt = 7;
						Log.i("PreferenciasAltura", "case 7");
						break;
					case 8:
						itemSeleccionadoAlt = 8;
						Log.i("PreferenciasAltura", "case 8");
						break;
				}
			
				constructorAlt.setSingleChoiceItems(R.array.altura, itemSeleccionadoAlt, new DialogInterface.OnClickListener() {
					
					public void onClick(DialogInterface dialog, int which) {
						switch (which) {
							case 0:
								alturaUsuario = 1;
								Log.i("PreferenciasAltura", "case 0 del click");
								break;
		
							case 1:
								alturaUsuario = 2;
								Log.i("PreferenciasAltura", "case 1 del click");
								break;
							case 2:
								alturaUsuario = 3;
								Log.i("PreferenciasAltura", "case 2 del click");
								break;
							case 3:
								alturaUsuario = 4;
								Log.i("PreferenciasAltura", "case 3 del click");
								break;
							case 4:
								alturaUsuario = 5;
								Log.i("PreferenciasAltura", "case 4 del click");
								break;
							case 5:
								alturaUsuario = 6;
								Log.i("PreferenciasAltura", "case 5 del click");
								break;
							case 6:
								alturaUsuario = 7;
								Log.i("PreferenciasAltura", "case 6 del click");
								break;
							case 7:
								alturaUsuario = 8;
								Log.i("PreferenciasAltura", "case 7 del click");
								break;
							case 8:
								alturaUsuario = 9;
								Log.i("PreferenciasAltura", "case 8 del click");
								break;
						}
						
					}
				});
				
				
				constructorAlt.setPositiveButton(R.string.aceptar, new DialogInterface.OnClickListener() {
					
					public void onClick(DialogInterface dialog, int which) {
						
						dialog.dismiss();
						
					}
				});
				
				dialogo = constructorAlt.create();
				dialogo.show();
				break;
			case 2:
				AlertDialog.Builder constructorPeso = new AlertDialog.Builder(ActividadFormularioPreferencias.this);
				constructorPeso.setTitle(R.string.tituloPeso);
				constructorPeso.setCancelable(true);
				int itemSeleccionadoPeso = pesoUsuario-1;
				
				Log.i("PreferenciasPeso", "El peso seleccionado es (itemseleccionado): " + itemSeleccionadoPeso + " y " + pesoUsuario);
				
				switch (pesoUsuario-1) {
					case 0:	
						itemSeleccionadoPeso = 0;
						Log.i("PreferenciasPeso", "case 0");
						break;

					case 1:
						itemSeleccionadoPeso = 1;
						Log.i("PreferenciasPeso", "case 1");
						break;
					case 2:
						itemSeleccionadoPeso = 2;
						Log.i("PreferenciasPeso", "case 2");
						break;
					case 3:
						itemSeleccionadoPeso = 3;
						Log.i("PreferenciasPeso", "case 3");
						break;
					case 4:
						itemSeleccionadoPeso = 4;
						Log.i("PreferenciasPeso", "case 4");
						break;
					case 5:
						itemSeleccionadoPeso = 5;
						Log.i("PreferenciasPeso", "case 5");
						break;
					case 6:
						itemSeleccionadoPeso = 6;
						Log.i("PreferenciasPeso", "case 6");
						break;
					case 7:
						itemSeleccionadoPeso = 7;
						Log.i("PreferenciasPeso", "case 7");
						break;
				}
			
				constructorPeso.setSingleChoiceItems(R.array.peso, itemSeleccionadoPeso, new DialogInterface.OnClickListener() {
					
					public void onClick(DialogInterface dialog, int which) {
						switch (which) {
							case 0:
								pesoUsuario = 1;
								Log.i("PreferenciasPeso", "case 0 del click");
								break;
		
							case 1:
								pesoUsuario = 2;
								Log.i("PreferenciasPeso", "case 1 del click");
								break;
							case 2:
								pesoUsuario = 3;
								Log.i("PreferenciasPeso", "case 2 del click");
								break;
							case 3:
								pesoUsuario = 4;
								Log.i("PreferenciasPeso", "case 3 del click");
								break;
							case 4:
								pesoUsuario = 5;
								Log.i("PreferenciasPeso", "case 4 del click");
								break;
							case 5:
								pesoUsuario = 6;
								Log.i("PreferenciasPeso", "case 5 del click");
								break;
							case 6:
								pesoUsuario = 7;
								Log.i("PreferenciasPeso", "case 6 del click");
								break;
							case 7:
								pesoUsuario = 8;
								Log.i("PreferenciasPeso", "case 7 del click");
								break;
						}
						
					}
				});
				
				
				constructorPeso.setPositiveButton(R.string.aceptar, new DialogInterface.OnClickListener() {
					
					public void onClick(DialogInterface dialog, int which) {
						
						dialog.dismiss();
						
					}
				});
				dialogo = constructorPeso.create();
				dialogo.show();
				break;
			case 3:
				AlertDialog.Builder constructorEdad = new AlertDialog.Builder(ActividadFormularioPreferencias.this);
				constructorEdad.setTitle(R.string.tituloEdad);
				constructorEdad.setCancelable(true);
				int itemSeleccionadoEdad = edadUsuario-1;
				
				Log.i("PreferenciasEdad", "La edad seleccionada es (itemseleccionado): " + itemSeleccionadoEdad + " y " + edadUsuario);
				
				switch (edadUsuario-1) {
					case 0:	
						itemSeleccionadoEdad = 0;
						Log.i("PreferenciasEdad", "case 0");
						break;
					case 1:
						itemSeleccionadoEdad = 1;
						Log.i("PreferenciasEdad", "case 1");
						break;
					case 2:
						itemSeleccionadoEdad = 2;
						Log.i("PreferenciasEdad", "case 2");
						break;
					case 3:
						itemSeleccionadoEdad = 3;
						Log.i("PreferenciasEdad", "case 3");
						break;
					case 4:
						itemSeleccionadoEdad = 4;
						Log.i("PreferenciasEdad", "case 4");
						break;
					case 5:
						itemSeleccionadoEdad = 5;
						Log.i("PreferenciasEdad", "case 5");
						break;
					case 6:
						itemSeleccionadoEdad = 6;
						Log.i("PreferenciasEdad", "case 6");
						break;
					case 7:
						itemSeleccionadoEdad = 7;
						Log.i("PreferenciasEdad", "case 7");
						break;
					case 8:
						itemSeleccionadoEdad = 8;
						Log.i("PreferenciasEdad", "case 8");
						break;
				}
			
				constructorEdad.setSingleChoiceItems(R.array.edad, itemSeleccionadoEdad, new DialogInterface.OnClickListener() {
					
					public void onClick(DialogInterface dialog, int which) {
						switch (which) {
							case 0:
								edadUsuario = 1;
								Log.i("PreferenciasEdad", "case 0 del click");
								break;
		
							case 1:
								edadUsuario = 2;
								Log.i("PreferenciasEdad", "case 1 del click");
								break;
							case 2:
								edadUsuario = 3;
								Log.i("PreferenciasEdad", "case 2 del click");
								break;
							case 3:
								edadUsuario = 4;
								Log.i("PreferenciasEdad", "case 3 del click");
								break;
							case 4:
								edadUsuario = 5;
								Log.i("PreferenciasEdad", "case 4 del click");
								break;
							case 5:
								edadUsuario = 6;
								Log.i("PreferenciasEdad", "case 5 del click");
								break;
							case 6:
								edadUsuario = 7;
								Log.i("PreferenciasEdad", "case 6 del click");
								break;
							case 7:
								edadUsuario = 8;
								Log.i("PreferenciasEdad", "case 7 del click");
								break;
							case 8:
								edadUsuario = 9;
								Log.i("PreferenciasEdad", "case 8 del click");
								break;
						}
						
					}
				});
				
				
				constructorEdad.setPositiveButton(R.string.aceptar, new DialogInterface.OnClickListener() {
					
					public void onClick(DialogInterface dialog, int which) {
						
						dialog.dismiss();
						
					}
				});
				
				dialogo = constructorEdad.create();
				dialogo.show();
				break;
			case 4:
				AlertDialog.Builder constructorComplex = new AlertDialog.Builder(ActividadFormularioPreferencias.this);
				constructorComplex.setTitle(R.string.tituloComplexion);
				constructorComplex.setCancelable(true);
				int itemSeleccionadoComp = complexionUsuario-1;
				
				Log.i("PreferenciasComplexión", "La complexión seleccionada es (itemseleccionado): " + itemSeleccionadoComp + " y " + complexionUsuario);
				
				switch (complexionUsuario) {
					case 0:	
						itemSeleccionadoComp = 0;
						Log.i("PreferenciasComplexión", "case 0");
						break;
					case 1:
						itemSeleccionadoComp = 1;
						Log.i("PreferenciasComplexión", "case 1");
						break;
					case 2:
						itemSeleccionadoComp = 2;
						Log.i("PreferenciasComplexión", "case 2");
						break;
					case 3:
						itemSeleccionadoComp = 3;
						Log.i("PreferenciasComplexión", "case 3");
						break;
					case 4:
						itemSeleccionadoComp = 4;
						Log.i("PreferenciasComplexión", "case 4");
						break;
					case 5:
						itemSeleccionadoComp = 5;
						Log.i("PreferenciasComplexión", "case 5");
						break;
					case 6:
						itemSeleccionadoComp = 6;
						Log.i("PreferenciasComplexión", "case 6");
						break;
					case 7:
						itemSeleccionadoComp = 7;
						Log.i("PreferenciasComplexión", "case 7");
						break;
				}
			
				constructorComplex.setSingleChoiceItems(R.array.complexion, itemSeleccionadoComp, new DialogInterface.OnClickListener() {
					
					public void onClick(DialogInterface dialog, int which) {
						switch (which) {
							case 0:
								complexionUsuario = 1;
								Log.i("PreferenciasComplexión", "case 0 del click");
								break;
							case 1:
								complexionUsuario = 2;
								Log.i("PreferenciasComplexión", "case 1 del click");
								break;
							case 2:
								complexionUsuario = 3;
								Log.i("PreferenciasComplexión", "case 2 del click");
								break;
							case 3:
								complexionUsuario = 4;
								Log.i("PreferenciasComplexión", "case 3 del click");
								break;
							case 4:
								complexionUsuario = 5;
								Log.i("PreferenciasComplexión", "case 4 del click");
								break;
							case 5:
								complexionUsuario = 6;
								Log.i("PreferenciasComplexión", "case 5 del click");
								break;
							case 6:
								complexionUsuario = 7;
								Log.i("PreferenciasComplexión", "case 6 del click");
								break;
							case 7:
								complexionUsuario = 8;
								Log.i("PreferenciasComplexión", "case 7 del click");
								break;
						}
						
					}
				});
				
				
				constructorComplex.setPositiveButton(R.string.aceptar, new DialogInterface.OnClickListener() {
					
					public void onClick(DialogInterface dialog, int which) {
						
						dialog.dismiss();
						
					}
				});
				
				dialogo = constructorComplex.create();
				dialogo.show();
				break;
			case 5:
				AlertDialog.Builder constructorSaludo = new AlertDialog.Builder(ActividadFormularioPreferencias.this);
				constructorSaludo.setTitle(R.string.tituloSaludo);
				constructorSaludo.setCancelable(true);
				final EditText editSaludo = new EditText(ActividadFormularioPreferencias.this);
				editSaludo.setText(saludoUsuario);
				constructorSaludo.setView(editSaludo);
			
				constructorSaludo.setPositiveButton(R.string.aceptar, new DialogInterface.OnClickListener() {
					
					public void onClick(DialogInterface dialog, int which) {
						saludoUsuario = editSaludo.getText().toString();
						dialog.dismiss();
						
					}
				});
				
				dialogo = constructorSaludo.create();
				dialogo.show();
				break;
			case 6:
				AlertDialog.Builder constructorDescr = new AlertDialog.Builder(ActividadFormularioPreferencias.this);
				constructorDescr.setTitle(R.string.tituloDescripcion);
				constructorDescr.setCancelable(true);
				final EditText editDescr = new EditText(ActividadFormularioPreferencias.this);
				editDescr.setText(descripcionUsuario);
				constructorDescr.setView(editDescr);
			
				constructorDescr.setPositiveButton(R.string.aceptar, new DialogInterface.OnClickListener() {
					
					public void onClick(DialogInterface dialog, int which) {
						descripcionUsuario = editDescr.getText().toString();
						dialog.dismiss();
						
					}
				});
				
				dialogo = constructorDescr.create();
				dialogo.show();
				break;
			case 7:
				AlertDialog.Builder constructorEst = new AlertDialog.Builder(ActividadFormularioPreferencias.this);
				constructorEst.setTitle(R.string.tituloEstudios);
				constructorEst.setCancelable(true);
				
				int itemSeleccionadoEst = nivelEstudiosUsuario-1;
				
				Log.i("PreferenciasEst", "El sexo seleccionado es (itemseleccionado): " + itemSeleccionadoEst + " y " + nivelEstudiosUsuario);
				
				switch (nivelEstudiosUsuario-1) {
					case 0:	
						itemSeleccionadoEst = 0;
						Log.i("PreferenciasEst", "case 0");
						break;
					case 1:
						itemSeleccionadoEst = 1;
						Log.i("PreferenciasEst", "case 1");
						break;
					case 2:
						itemSeleccionadoEst = 2;
						Log.i("PreferenciasEst", "case 2");
						break;
					case 3:
						itemSeleccionadoEst = 3;
						Log.i("PreferenciasEst", "case 3");
						break;
					case 4:
						itemSeleccionadoEst = 4;
						Log.i("PreferenciasEst", "case 4");
						break;
				}
			
				constructorEst.setSingleChoiceItems(R.array.nivelEstudios, itemSeleccionadoEst, new DialogInterface.OnClickListener() {
					
					public void onClick(DialogInterface dialog, int which) {
						switch (which) {
							case 0:
								nivelEstudiosUsuario = 1;
								Log.i("PreferenciasEst", "case 0 del click");
								break;
		
							case 1:
								nivelEstudiosUsuario = 2;
								Log.i("PreferenciasEst", "case 1 del click");
								break;
							case 2:
								nivelEstudiosUsuario = 3;
								Log.i("PreferenciasEst", "case 2 del click");
								break;
							case 3:
								nivelEstudiosUsuario = 4;
								Log.i("PreferenciasEst", "case 3 del click");
								break;
							case 4:
								nivelEstudiosUsuario = 5;
								Log.i("PreferenciasEst", "case 4 del click");
								break;
						}
						
					}
				});
				
				
				constructorEst.setPositiveButton(R.string.aceptar, new DialogInterface.OnClickListener() {
					
					public void onClick(DialogInterface dialog, int which) {
						
						dialog.dismiss();
						
					}
				});
				
				dialogo = constructorEst.create();
				dialogo.show();
				break;
			case 8:
				AlertDialog.Builder constructorBus = new AlertDialog.Builder(ActividadFormularioPreferencias.this);
				constructorBus.setTitle(R.string.tituloBuscoQUE);
				constructorBus.setCancelable(true);
				
				int itemSeleccionadoBus = buscoQue-1;
				
				Log.i("PreferenciasBus", "El sexo seleccionado es (itemseleccionado): " + itemSeleccionadoBus + " y " + buscoQue);
				
				switch (buscoQue-1) {
					case 0:	
						itemSeleccionadoBus = 0;
						Log.i("PreferenciasBus", "case 0");
						break;
					case 1:
						itemSeleccionadoBus = 1;
						Log.i("PreferenciasBus", "case 1");
						break;
					case 2:
						itemSeleccionadoBus = 2;
						Log.i("PreferenciasBus", "case 2");
						break;
					case 3:
						itemSeleccionadoBus = 3;
						Log.i("PreferenciasBus", "case 3");
						break;
					case 4:
						itemSeleccionadoBus = 4;
						Log.i("PreferenciasBus", "case 4");
						break;
					case 5:
						itemSeleccionadoBus = 5;
						Log.i("PreferenciasBus", "case 5");
						break;
				}
			
				constructorBus.setSingleChoiceItems(R.array.busco, itemSeleccionadoBus, new DialogInterface.OnClickListener() {
					
					public void onClick(DialogInterface dialog, int which) {
						switch (which) {
							case 0:
								buscoQue = 1;
								Log.i("PreferenciasBus", "case 0 del click");
								break;
		
							case 1:
								buscoQue = 2;
								Log.i("PreferenciasBus", "case 1 del click");
								break;
							case 2:
								buscoQue = 3;
								Log.i("PreferenciasBus", "case 2 del click");
								break;
							case 3:
								buscoQue = 4;
								Log.i("PreferenciasBus", "case 3 del click");
								break;
							case 4:
								buscoQue = 5;
								Log.i("PreferenciasBus", "case 4 del click");
								break;
							case 5:
								buscoQue = 6;
								Log.i("PreferenciasBus", "case 5 del click");
								break;
						}
						
					}
				});
				
				
				constructorBus.setPositiveButton(R.string.aceptar, new DialogInterface.OnClickListener() {
					
					public void onClick(DialogInterface dialog, int which) {
						
						dialog.dismiss();
						
					}
				});
				
				dialogo = constructorBus.create();
				dialogo.show();
				break;
				
				
			case 9:
				Intent intent1 = new Intent("android.intent.action.VIEW", Uri.parse("http://aperezba.dyndns.org:9080/webService/AdminImagenes.action?parametroJSON=1"));
				startActivity(intent1);
		}
				
	}
	
public boolean onCreateOptionsMenu (Menu menu){
		
		boolean result = super.onCreateOptionsMenu(menu);
		menu.add(0, 0, 0, R.string.siguiente).setIcon(R.drawable.salvarycontinuar);
		return result;
		
	}
	
	public boolean onOptionsItemSelected (MenuItem item){
		switch(item.getItemId()){
		
		case 0:
		
			Log.i("SeleccionSalvar", "a ver a ver esto qué es?");
			
			
			Intent data = new Intent (this, ActividadMapa.class);
			data.putExtra("nombre", nombreUsuario);
			data.putExtra("apellidos", apellidos);
			data.putExtra("pass", password);
			data.putExtra("nick", nickName);
			data.putExtra("email", email);
			
			setResult(2,data);
			
			Intent iFormularioBusco = new Intent (ActividadFormularioPreferencias.this, ActividadFormularioBusco.class);
	 		iFormularioBusco.putExtra("nombre", nombreUsuario);
	 		iFormularioBusco.putExtra("pass", password);
	 		iFormularioBusco.putExtra("email", email);
	 		iFormularioBusco.putExtra("nick", nickName);
	 		iFormularioBusco.putExtra("apellidos", apellidos);
	 		
	 		iFormularioBusco.putExtra("sexo", sexoUsuario);
	 		iFormularioBusco.putExtra("peso", pesoUsuario);
	 		iFormularioBusco.putExtra("edad", edadUsuario);
	 		iFormularioBusco.putExtra("altura", alturaUsuario);
	 		iFormularioBusco.putExtra("complexion", complexionUsuario);
	 		iFormularioBusco.putExtra("estudios", nivelEstudiosUsuario);
	 		iFormularioBusco.putExtra("descripcion", ActividadMapa.str_replace(" ", "_", descripcionUsuario));
	 		iFormularioBusco.putExtra("saludo", saludoUsuario);
	 		iFormularioBusco.putExtra("quiero", buscoQue);
	 		
	 		
	 		Log.i("SeleccionSalvar", "Se va a lanzar el segundo formulario con los datos añadidos");
			startActivity(iFormularioBusco);
			Log.i("SeleccionSalvar", "Se ha lanzado el segundo formulario");
			
			finish();
		
			
		}
		return super.onOptionsItemSelected(item);
		
	}
	


}
