package com.pfc.app.nbff;

import android.app.AlertDialog;
import android.app.Dialog;
import android.app.ListActivity;
import android.content.DialogInterface;
import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.EditText;
import android.widget.ListView;
import android.widget.TextView;
import android.widget.Toast;

public class ActividadLista extends ListActivity {

	
	static final String[] OPCIONES = new String[] {"Distancia entre amigos", "Reset mapa amigos", "Tiempo actualización amigos", "Opciones de fotos"};
	
	private int mTipoVista;
	private int mRadioAmigos;
	private int mTiempoActualizacion;
	private static String mUsuario;
	private static String mPassword;
	
	int mReseteaLugares = 0;
	int mReseteaAmigos = 0;
	
	
	
	/** Se llama a este método cuando se crea la actividad.
     * 
     * @param savedInstanceState Contendrá los datos guardados a través del método onSavedInstance(Bundle) si la actividad a sido arrancada poco después de haber sido cerrada.
     */
	@Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        //Le damos una vista que mostrar al programa
        setContentView(R.layout.layout_lista);
        setTitle(R.string.tituloOpciones);
        mUsuario = getIntent().getStringExtra("usuario");
        mPassword = getIntent().getStringExtra("password");
        mTipoVista = getIntent().getIntExtra("vista", 0);
        mRadioAmigos = getIntent().getIntExtra("radio", -1);
        mTiempoActualizacion = getIntent().getIntExtra("tiempo", 3);
        
        setListAdapter(new ArrayAdapter<String>(this, android.R.layout.simple_list_item_1,OPCIONES) );
        
	}

	
	protected void onListItemClick(ListView l, View v, int position, long id){
		
		super.onListItemClick(l, v, position, id);
		
		int i = (int) id;
		AlertDialog dialogo;
		
		switch (i) {
		case 0:
			AlertDialog.Builder constructor = new AlertDialog.Builder(ActividadLista.this);
			constructor.setTitle(R.string.tituloDistancias);
			constructor.setCancelable(true);
			int selectedItem = 0;
			
			switch (mRadioAmigos){
			
			case 100:
				selectedItem = 0;
				break;
			case 250:
				selectedItem = 1;
				break;
			case 500:
				selectedItem = 2;
				break;
			case 1000:
				selectedItem = 3;
				break;
			case -1:
				selectedItem = 4;
				break;
			
			}
			
			constructor.setSingleChoiceItems(R.array.radios, selectedItem, new DialogInterface.OnClickListener() {
				
				public void onClick(DialogInterface dialog, int which) {
					switch (which){
					
					case 0: 
						mRadioAmigos = 100;
						break;
					case 1:
						mRadioAmigos = 250;
						break;
					case 2:
						mRadioAmigos = 500;
						break;
					case 3:
						mRadioAmigos = 1000;
						break;
					case 4:
						mRadioAmigos = -1;
						break;
					
					}
					
				}
			});
			
			constructor.setPositiveButton(R.string.aceptar, new DialogInterface.OnClickListener() {
				
				public void onClick(DialogInterface dialog, int which) {
					dialog.dismiss();
					
				}
			});
			
			dialogo = constructor.create();
			dialogo.show();
			break;
		case 1:
			mReseteaAmigos = 1;
			ActividadMapa.mMapOverlays.clear();
			Toast.makeText(ActividadLista.this, R.string.msgBorrarAmigo, Toast.LENGTH_LONG).show();
			break;
		case 2:
			AlertDialog.Builder c = new AlertDialog.Builder(ActividadLista.this);
			c.setTitle(R.string.tituloTiempos);
			c.setCancelable(true);
			int sI = 0;
			switch (mTiempoActualizacion){
			
			case 1:
				sI = 0;
				break;
			case 3:
				sI = 1;
				break;
			case 5:
				sI = 2;
				break;
			case 10:
				sI = 3;
				break;
				
			}
			c.setSingleChoiceItems(R.array.tiempos, sI, new DialogInterface.OnClickListener() {
				
				public void onClick(DialogInterface dialog, int which) {
					switch (which){
					
					case 0:
						mTiempoActualizacion = 1;
						break;
					case 1:
						mTiempoActualizacion = 3;
						break;
					case 2:
						mTiempoActualizacion = 5;
						break;
					case 3:
						mTiempoActualizacion = 10;
						break;
											
					}
					
				}
			});
			c.setPositiveButton(R.string.aceptar, new DialogInterface.OnClickListener() {
				
				public void onClick(DialogInterface dialog, int which) {
					dialog.dismiss();
					
				}
			});
			dialogo = c.create();
			dialogo.show();
			break;
		case 3:
			Intent intent1 = new Intent("android.intent.action.VIEW", Uri.parse("http://aperezba.dyndns.org:9080/webService/AdminImagenes.action?parametroJSON=" + getIntent().getStringExtra("idUser")));
			
			startActivity(intent1);
			
			
		}
				
	}
	
	protected Dialog onCreateDialog(int id){
		
		final Dialog d = new Dialog (ActividadLista.this);
		
		d.setCanceledOnTouchOutside(true);
		final Button aceptar;
		final Button cancelar;
		final EditText usuario, oldPass, newPass, email;
		final TextView noVerUsuario;
		
		d.setTitle(R.string.tituloDialogoPresentacion);
		d.setContentView(R.layout.interfaz_dialogo_presentacion);
		
		aceptar = (Button) d.findViewById(R.id.ButtonDialogoPresentacion1);
		cancelar = (Button) d.findViewById(R.id.ButtonDialogoPresentacion2);
		usuario = (EditText) d.findViewById(R.id.EditTextDialogoUser);
		oldPass = (EditText) d.findViewById(R.id.EditTextDialogoOldPass);
    	noVerUsuario = (TextView)d.findViewById(R.id.TextViewUsuario);
		
    	noVerUsuario.setVisibility(View.GONE);
    	usuario.setVisibility(View.GONE);
    	
    	aceptar.setOnClickListener(new OnClickListener() {
			
			public void onClick(View v) {
				Toast.makeText(ActividadLista.this, R.string.aceptar, Toast.LENGTH_SHORT).show();
				d.dismiss();				
			}
		});
    	
    	cancelar.setOnClickListener(new OnClickListener() {
			
			public void onClick(View v) {
				Toast.makeText(ActividadLista.this, R.string.cancelar, Toast.LENGTH_SHORT).show();
				d.dismiss();				
			}
		});
    	return d;
	}
	
	public boolean onCreateOptionsMenu (Menu menu){
		
		boolean result = super.onCreateOptionsMenu(menu);
		menu.add(0, 0, 0, R.string.siguiente).setIcon(R.drawable.save);
		return result;
		
	}
	
	public boolean onOptionsItemSelected (MenuItem item){
		
		Intent data = new Intent (this, ActividadMapa.class);
		data.putExtra("usuario", mUsuario);
		data.putExtra("password", mPassword);
		data.putExtra("radio", mRadioAmigos);
		data.putExtra("tiempo", mTiempoActualizacion);
		data.putExtra("reseteaAmigos", mReseteaAmigos);
		data.putExtra("reseteaLugares", mReseteaLugares);
		setResult(0,data);
		finish();
		return super.onOptionsItemSelected(item);
		
	}
	
}
