package com.pfc.app.nbff;

import java.io.BufferedReader;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.apache.http.HttpEntity;
import org.apache.http.HttpResponse;
import org.apache.http.client.HttpClient;
import org.apache.http.client.methods.HttpPost;
import org.apache.http.impl.client.DefaultHttpClient;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;
import org.json.JSONTokener;

import android.app.Activity;
import android.app.AlertDialog;
import android.app.Dialog;
import android.app.ProgressDialog;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.content.SharedPreferences;
import android.net.Uri;
import android.os.Bundle;
import android.os.Handler;
import android.util.Log;
import android.view.Gravity;
import android.view.KeyEvent;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.View.OnKeyListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.Toast;

/**Clase que implementa la Actividad de presentación del programa.
 *  
 */
public class NBFF extends Activity {
	
	/** Se llama a este método cuando se crea la ctividad.
     * 
     * @param savedInstanceState Contendrá los datos guardados a través del método onSavedInstance(Bundle) si la actividad ha sido arrancada poco después de haber sido cerrada.
     */
   
	Map<Integer, List<Integer>> pare = new HashMap<Integer, List<Integer>>();
	String nick;
	String user;
	String idUsuario;
	String password;
	String mail;
	String apellidos;
	ProgressDialog progresoMapa = null;
	String pass;

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        nick = new String();
 
        //Primero tenemos que recoger los botones creados en main.xml
        final Button entrar = (Button) findViewById(R.id.ButtonPresentacion1);
        final Button salir = (Button) findViewById(R.id.ButtonPresentacion2);
        final Button registrarse = (Button) findViewById(R.id.ButtonPresentacion3);
        
        //Agregamos a cada botón un evento click para cuando se produzca su pulsación.
       
        entrar.setOnClickListener(new OnClickListener() {
			
			/** Se llama a este método cuando se produzca el click en el botón.
			 * 
			 * @param v Será el View clickeado, en nuestro caso, un Button.
			 */
			public void onClick(View v) {
				
				
				SharedPreferences settings = getSharedPreferences("perfil", MODE_PRIVATE);
				String primeraVez = settings.getString("primeraVez", "true");
				Log.i("Preferencias", "¿Es tu primera vez?: " + primeraVez);
				//Toast.makeText(NBFF.this, primeraVez, Toast.LENGTH_SHORT).show();
				
				
				SharedPreferences.Editor editor = settings.edit();
				
				 //Código para cuando termine de hacer el registro 
				
				//showDialog(0);
				//compruebaUsuario(null, null, conectar());
				if (!primeraVez.equals("true")){
					editor.putString("deNotificaciones", "false");
					editor.commit();
					Log.i("Preferencias", "vamos a preparar el login");
					showDialog(0);				
				}
				else{
					
					registrar();
					
				}
				
			}
		});
        
        registrarse.setOnClickListener(new OnClickListener() {
			
			public void onClick(View v) {
				registrar();
				
			}
		});
        
        
        salir.setOnClickListener(new OnClickListener(){
			
			/** Se llama a este método cuando se produzca el click en el botón.
			 * ()
			 * @param v Será el View clickeado, en nuestro caso, un Button.
			 */
			public void onClick(View v) {
				finish();
			}
		});
        
    }
    
    
    
    protected Dialog onCreateDialog(int id){
    	
    	final Dialog d = new Dialog(NBFF.this);
    	d.setCanceledOnTouchOutside(true);
    	d.setTitle(R.string.tituloDialogoPresentacion);
    	d.setContentView(R.layout.interfaz_dialogo_presentacion);
    	
    	final Button aceptar = (Button) d.findViewById(R.id.ButtonDialogoPresentacion1);
    	final Button cancelar = (Button) d.findViewById(R.id.ButtonDialogoPresentacion2);
    	final EditText cajaUsuario = (EditText) d.findViewById(R.id.EditTextDialogoUser);
    	final EditText cajaPassword = (EditText) d.findViewById(R.id.EditTextDialogoOldPass);
       
    	
    	user = nick; 
		cajaUsuario.setText(nick);
		
		
		OnClickListener VisorProgreso = new OnClickListener() {
    		
    		public void onClick(View v) {
    			Log.i("ClickClick", "creamos el diálogo de progreso");	
    			progresoMapa = ProgressDialog.show(NBFF.this, getResources().getString(R.string.cargandoMapa), getResources().getString(R.string.mensajeCargandoMapa),true);
    			Log.i("ClickClick", "creado el diálogo de progreso");
    			user = cajaUsuario.getText().toString();
    			Log.i("EnDialogo", "entramos en diálogo, usuario: " + user);
    			pass = cajaPassword.getText().toString();
    			Log.i("EnDialogo", "entramos en diálogo, contraseña: " + pass);
    			if (user.length() > 0 && pass.length() > 0){
    			
	    			Handler hand = new Handler();
	    			new LoadingThread(hand).start();
    			
    		
    			}else{
    				AlertDialog.Builder constructorNoTexto = new AlertDialog.Builder(NBFF.this);
    		    	constructorNoTexto.setTitle(R.string.LoginFallidoTitulo);
    		    	constructorNoTexto.setCancelable(true);
    		    	final TextView textoNOTEXTO = new TextView(NBFF.this);
    		    	textoNOTEXTO.setText(R.string.LoginSinTexto);
    		    	textoNOTEXTO.setGravity(Gravity.CENTER);
    		    	constructorNoTexto.setView(textoNOTEXTO);
    		    	constructorNoTexto.setPositiveButton(R.string.aceptar,
    		  			new DialogInterface.OnClickListener() {

    		  				public void onClick(DialogInterface dialog, int which) {
    		  						
    		  					dialog.dismiss();
    		  						
    		  				}
    		  			});
    		    	constructorNoTexto.create().show();
    				Log.i("RUNRUN", "entramos en el else porque no hay datos, ¿ha hecho el diálogo?");
    				progresoMapa.dismiss();
    			}		
    		}
		};
    	
		aceptar.setOnClickListener(VisorProgreso); 
    	
    	cancelar.setOnClickListener(new OnClickListener() {
			
			public void onClick(View v) {
				d.dismiss();
			}
		});
    	
    	
    	cajaUsuario.setOnKeyListener(new OnKeyListener() {
			
			public boolean onKey(View v, int keyCode, KeyEvent event) {
				
				if (KeyEvent.KEYCODE_TAB == keyCode){
					
					cajaPassword.requestFocus();
					return true;
					
				}
				return false;
			}
		});
    	
    	cajaPassword.setOnKeyListener(new OnKeyListener() {
			
			public boolean onKey(View v, int keyCode, KeyEvent event) {
				
				if (KeyEvent.KEYCODE_ENTER == keyCode){
					String user = cajaUsuario.getText().toString();
					String pass = cajaPassword.getText().toString();
					
					if (pass.length() > 0){
						if (user.length() > 0){
							
							login(user, pass);
							d.dismiss();
							
							return true;
						}else{
							Toast.makeText(NBFF.this, "Debe rellenar los campos para poder hacer el login.", Toast.LENGTH_SHORT).show();
						}
					}
					
				}
				return false;
					
			}
		});
    	
    	
    	
		
    	return d;
    	
    }
    
    private void lanzaActividad(String pusuario, String ppassword, int pvista, int pradio, int ptiempo){
    	
    	Intent actividadMapa = new Intent (NBFF.this, ActividadMapa.class);
    	Log.i("lanzaAct", "hemos entrao aquí");
    	actividadMapa.putExtra("nick", pusuario);
    	actividadMapa.putExtra("pass", ppassword);
    	actividadMapa.putExtra("idUser", idUsuario);
    	startActivity(actividadMapa);
    	finish();
	
    }
    
   /* private	String conectar (){
    	
    	 final String KEY_121 = "http://aperezba.dyndns.org:9080/webService/ListaUsuariosVisiblesAction.action?parametroJSON=";
			Log.i("conecta", "entrando en conectar...");
			InputStream is = null;
			String result = "";
			String returnString="";
			
			try{
				Log.i("conecta", "entrando en el try...");
	            HttpClient httpclient = new DefaultHttpClient();
	            HttpPost httppost = new HttpPost(KEY_121);
	            HttpResponse response = httpclient.execute(httppost);
	            Log.i("conecta", "creando respuesta sobre el webservice...");
	            HttpEntity entity = response.getEntity();
	            is = entity.getContent();
	            Toast.makeText(NBFF.this, "Conectando, espere por favor...", Toast.LENGTH_LONG).show();

			}catch(Exception e){
	            Log.e("log_tag", "Error in http connection "+e.toString());
	            Toast.makeText(NBFF.this, "Error in http connection "+e.toString(), Toast.LENGTH_LONG).show();
			}

	    //convert response to string
			try{
	            BufferedReader reader = new BufferedReader(new InputStreamReader(is,"iso-8859-1"),8);
	            StringBuilder sb = new StringBuilder();
	            String line = null;
	            while ((line = reader.readLine()) != null) {
	                    sb.append(line + "\n");
	            }
	            is.close();
	            result=sb.toString();
	            Toast.makeText(NBFF.this, "Conexión realizada, realizando comprobaciones...", Toast.LENGTH_LONG).show();
			}catch(Exception e){
	            Log.e("log_tag", "Error converting result "+e.toString());
	            Toast.makeText(NBFF.this, "Error converting result "+e.toString(), Toast.LENGTH_LONG).show();
			}
    	
    	return result;
    	
    }
    
     */
     public String login (String usuario, String password){
    	 
    	 String URLlogin = "http://aperezba.dyndns.org:9080/webService/LogginAction.action?parametroJSON=";
    	 String aux = URLlogin.concat(usuario + "x" + password);
    	 String retLogin = "-1";
    	 InputStream is = null;
    	 
    	 try{
			    HttpClient httpclient = new DefaultHttpClient();
			    HttpPost httppost = new HttpPost(aux);
			    HttpResponse response = httpclient.execute(httppost);
			    HttpEntity entity = response.getEntity();
			    is = entity.getContent();
			    
			}catch(Exception e){
			    Log.i("log_tagggggggg", "Error en conexión http, compruebe que está conectado a internet, "+e.toString());
			    
			}
			
			try{
			    BufferedReader reader = new BufferedReader(new InputStreamReader(is,"iso-8859-1"),8);
			    StringBuilder sb = new StringBuilder();
			    String line = null;
			    while ((line = reader.readLine()) != null) {
			            sb.append(line + "\n");
			    }
			    is.close();
			    retLogin=sb.toString();
			   
			}catch(Exception e){
			    Log.e("log_taggggggg", "Error converting result "+e.toString());
			   
			}
		 Log.i("ComprobarUsuario", "y el resultado es..." + retLogin);	
		 
		 try{
				
			JSONObject json = (JSONObject) new JSONTokener(retLogin).nextValue();
			Log.i("ComprobarUsuario", "Objeto JSON creado");
			JSONArray nameArray = json.names();
			Log.i("ComprobarUsuario", "obtenemos nombres");
			JSONArray valArray = json.toJSONArray(nameArray);
			Log.i("ComprobarUsuario", "lo pasamos a array");
			
    		retLogin = new String (valArray.getString(0));
    		Log.i("ComprobarUsuario", "Lo convertimos a String " + retLogin);
	         	
		        
			}catch(JSONException e){
		            Log.e("log_tag", "Error parsing data ()"+e.toString());
			}
			
		 
		 
    	 return retLogin;
     } 
    	 
     
     
     private void registrar(){
    	 final AlertDialog.Builder constructorReg = new AlertDialog.Builder(NBFF.this);
    	 constructorReg.setTitle(R.string.TituloRegistro);
    	 constructorReg.setCancelable(true);
    	 Log.i("Registro", "creado constructor");
    	 
    	 final EditText editUsuario = new EditText(NBFF.this);
    	 final TextView texto = new TextView(NBFF.this);
    	 Log.i("Registro", "creados Views");
    	/* SharedPreferences settings = getSharedPreferences("perfil", MODE_PRIVATE);
		 String primeraVez = settings.getString("primeraVez", "true");
		 
		 
		 
		 
    	 if (primeraVez.equals("true")){
    		 Log.i("Registro", "entramos pa poner el texto");
    		 LinearLayout lin = new LinearLayout(NBFF.this);
    		 RelativeLayout rel2 = new RelativeLayout(NBFF.this);
    		 RelativeLayout rel = new RelativeLayout(NBFF.this);
    		 
    		 rel.setId(200);
    		 rel2.setId(201);
    		 lin.setId(202);
    		 texto.setId(203);
    		 editUsuario.setId(204);
    		 texto.setText(R.string.PrimeraVez);
    		 Log.i("Registro", "Seteamos id" + rel.getId());
    		 Log.i("Registro", "Seteamos id" + rel2.getId());
    		 
    		 
    		 
    		 
        	 RelativeLayout.LayoutParams parametrosRel = new RelativeLayout.LayoutParams(android.widget.RelativeLayout.LayoutParams.FILL_PARENT,RelativeLayout.LayoutParams.WRAP_CONTENT);
        	 Log.i("Registro", "creamos parametrosRel ");
        	 //parametrosRel.addRule(RelativeLayout.ABOVE, rel2.getId());
        	 Log.i("Registro", "posicionamos parametrosRel ");
    		 texto.setLayoutParams(parametrosRel);
    		 Log.i("Registro", "le añadimos parametrosRel al layout ");
    		 //rel.addView(texto);
    		 Log.i("Registro", "añadimos texto al rel ");
    		     		 
    		 
    		 RelativeLayout.LayoutParams parametrosRel2 = new RelativeLayout.LayoutParams(100,android.widget.RelativeLayout.LayoutParams.WRAP_CONTENT);
    		 Log.i("Registro", "creamos parametrosRel2 ");
    		 parametrosRel2.addRule(RelativeLayout.ALIGN_PARENT_BOTTOM, lin.getId());
    		 Log.i("Registro", "posicionamos parametrosRel2 ");
    		 editUsuario.setLayoutParams(parametrosRel2);
    		 Log.i("Registro", "le añadimos parametrosRel2 al layout ");
    		 //rel2.addView(editUsuario);
    		 Log.i("Registro", "añadimos editUsuario al rel2 ");
    		 
    		 
    		 lin.addView(editUsuario,0);
    		 lin.addView(texto,0);
    		 constructorReg.setView(lin);
    		 
    	 }*/
    	 
    	 constructorReg.setView(editUsuario);
    	 Log.i("Registro", "añadidos views al diálogo");
 		 // Creamos el evento de pulsación del botón aceptar.
    	 constructorReg.setPositiveButton(R.string.aceptar,
 				new DialogInterface.OnClickListener() {

 					public void onClick(DialogInterface dialog, int which) {
 						nick = editUsuario.getText().toString();
 						Log.i("Registro", "en el onClick con el nick: " + nick);
 						 
 						if (nick.length() > 0 ) {
 							if(comprobarUsuario(nick).equals("-1")){
	 							Log.i("Registro", "entra en el if");
	 							Intent iFormularioAlta = new Intent (NBFF.this,ActividadFormularioAlta.class);
	 							Log.i("Registro", "creado Intent");
	 							iFormularioAlta.putExtra("nick", nick);
	 							iFormularioAlta.putExtra("nombre", user);
	 							iFormularioAlta.putExtra("apellidos", apellidos);
	 							iFormularioAlta.putExtra("pass", password);
	 							iFormularioAlta.putExtra("email", mail);
	 							Log.i("Registro", "añade el nick");
	 							startActivityForResult(iFormularioAlta, 1);
	 							Log.i("Registro", "lanzada actividad");
	 							
	 							dialog.dismiss();
 							}
 							else{
 								Toast.makeText(NBFF.this, "Este nombre de usuario ya existe, pruebe a identificarse o escoja otro nick", Toast.LENGTH_LONG).show();
 								showDialog(1);
 							}
 						}
 							
 						else {
 							Toast.makeText(NBFF.this, "Debe escribir un nombre de usuario", Toast.LENGTH_LONG).show();
 						}
 					}
 				});
 		// Creamos el evento de pulsación del botón cancelar.
 		constructorReg.setNegativeButton(R.string.cancelar,
 				new DialogInterface.OnClickListener() {

 					public void onClick(DialogInterface dialog, int which) {

 						dialog.dismiss();
 					}
 				});
 		// Llamamos al método creador del constructor y directamente lo
 		// mostramos por pantalla.

 		constructorReg.create().show();
     }
     
     public static String comprobarUsuario (String usuarioComprobar){
    	 
    	 Log.i("comprobarUsuario", "Hemos entrao en el comprobarUsuario?");
    	 String URL = "http://aperezba.dyndns.org:9080/webService/ComprobarUsuario.action?parametroJSON=";
    	 String aux = URL.concat(usuarioComprobar);
    	 String ret = "-1";
    	 InputStream is = null;
    	 
    	 try{
			    HttpClient httpclient = new DefaultHttpClient();
			    HttpPost httppost = new HttpPost(aux);
			    HttpResponse response = httpclient.execute(httppost);
			    HttpEntity entity = response.getEntity();
			    is = entity.getContent();
			    
			}catch(Exception e){
			    Log.i("log_tagggggggg", "Error en conexión http, compruebe que está conectado a internet, "+e.toString());
			    
			}
			
			try{
			    BufferedReader reader = new BufferedReader(new InputStreamReader(is,"iso-8859-1"),8);
			    StringBuilder sb = new StringBuilder();
			    String line = null;
			    while ((line = reader.readLine()) != null) {
			            sb.append(line + "\n");
			    }
			    is.close();
			    ret=sb.toString();
			   
			}catch(Exception e){
			    Log.e("log_taggggggg", "Error converting result "+e.toString());
			   
			}
		 Log.i("ComprobarUsuario", "y el resultado es..." + ret);	
		 
		 try{
				
			JSONObject json = (JSONObject) new JSONTokener(ret).nextValue();
			Log.i("ComprobarUsuario", "Objeto JSON creado");
			JSONArray nameArray = json.names();
			Log.i("ComprobarUsuario", "obtenemos nombres");
			JSONArray valArray = json.toJSONArray(nameArray);
			Log.i("ComprobarUsuario", "lo pasamos a array");
			
    		ret = new String (valArray.getString(0));
    		Log.i("ComprobarUsuario", "Lo convertimos a String " + ret);
	         	
		        
			}catch(JSONException e){
		            Log.e("log_tag", "Error parsing data ()"+e.toString());
			}
			catch (NullPointerException exc){
				Log.i("Excepción", "Error en el split");
			}
		 
		 
    	 return ret;
     }
     
     protected void onActivityResult(int requestCode, int resultCode, Intent data) {

 		// Si la actividad de las opciones ha devuelto datos.
 		if (data != null) {
 			password = data.getStringExtra("pass");
 			user = data.getStringExtra("nombre");
 			mail = data.getStringExtra("email");
 			idUsuario = data.getStringExtra("idUser");
 			nick = data.getStringExtra("nick");
 			apellidos = data.getStringExtra("apellidos");
 			Log.i("RecogidaDeDatos", "el usuario cuyo id es: " + idUsuario + " se llama: " + user + " " + apellidos + " email: " + mail);
 			Log.i("RecogidaDeDatos", " nick y contraseña:" + nick + " " + password);
 			Log.i("InformaciónAlUsuario", "RequestCode = " + requestCode + " ResultCode = " + resultCode);
 		}
 		
 		
 		super.onActivityResult(requestCode, resultCode, data);
     }
     
     
     class FinishThread extends Thread{
			
		public void run(){
				
			Log.i("RUNRUN", "entramos en el método");
			try{
				Log.i("RUNRUN", "empezamos");
					
					
					
					//lanzaActividad (user, pass, 0 ,100, 1);
					try {
						
						Log.i("EnDialogo", "lanzamos el login de : " + user + " y " + pass);
						idUsuario = login(user,pass);
					} catch (Exception e) {
						Log.i("RespuestaServidor", "Fallando: " + e);	
					}
						
					if(!idUsuario.equals("-1")){
						SharedPreferences settings = getSharedPreferences("perfil", MODE_PRIVATE);
						SharedPreferences.Editor editor = settings.edit();
						editor.putString("primeraVez", "false");
						editor.putString("deNotificaciones", "false");
						editor.commit();
						lanzaActividad(user, pass, 0, 100, 1);
					}else{
							
						Log.i("RUNRUN", "entramos en el else porque los datos son erróneos");
						progresoMapa.dismiss();
						Log.i("RUNRUN", "entramos en el else porque los datos son erróneos, cerramos el progress");
						//Looper.myLooper().prepare();
						AlertDialog.Builder constructorLogin = new AlertDialog.Builder(NBFF.this);
					   	constructorLogin.setTitle(R.string.LoginFallidoTitulo);
					   	constructorLogin.setCancelable(true);
					   	Log.i("RUNRUN", "creamos diálogo");
					   	final TextView textoLoginFallido = new TextView(NBFF.this);
					   	textoLoginFallido.setText(R.string.LoginFallido);
					   	textoLoginFallido.setGravity(Gravity.CENTER);
					   	constructorLogin.setView(textoLoginFallido);
					   	Log.i("RUNRUN", "configuramos las opciones del diálogo");
					   	constructorLogin.setPositiveButton(R.string.aceptar,
						new DialogInterface.OnClickListener() {
					   		public void onClick(DialogInterface dialog, int which) {
					  						
					   			dialog.dismiss();
					  						
					  		}
					  	});
					  	constructorLogin.create().show();
					   	Log.i("RUNRUN", "lo... ¿mostramos?");
					}
							
						
					
					//compruebaUsuario(user, pass, conectar());
					//d.dismiss();
			
			
					Log.i("RUNRUN", "terminamos las tareas... VEMOS!");
			}catch(Exception e){
				Log.i("ExcepciónRUN", "Ha petao el visor de progreso" + e);
			}
		

			progresoMapa.dismiss();
		}
				
	}   
	
     class LoadingThread extends Thread{
			
			Handler manejador;
			public LoadingThread(Handler handler){
				super();
				this.manejador=handler;
			}
			public void run(){
				try{
					
				}catch (Exception e){
					
				}
				manejador.post(new FinishThread());
			}
		}
     

    
}