package com.pfc.app.nbff;

import android.app.Activity;
import android.app.Notification;
import android.app.NotificationManager;
import android.app.PendingIntent;
import android.content.Context;
import android.content.Intent;
import android.content.SharedPreferences;
import android.net.Uri;
import android.os.Bundle;
import android.provider.MediaStore.Audio;
import android.util.Log;


public class Notificaciones extends Activity {
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
    	Log.i("notificaciones", "dentro1");
    	super.onCreate(savedInstanceState);
        Log.i("notificaciones", "dentro, obtenemos los usuarios a pintar");
        String msg = getIntent().getStringExtra("usuariosApintar");
        int numeroUsuariosApintar = getIntent().getIntExtra("numeroUsuariosPintar", -1);
        
       
        Log.i("notificaciones", "dentro de notificación y tal");
        //Recuperamos el administrador de notificaciones
        NotificationManager mNotificationManager = (NotificationManager) getSystemService(Context.NOTIFICATION_SERVICE);
        Log.i("notificaciones", "objeto notificationmanager creado");
        
        //Nos creamos una nueva notificación, con el icono y  texto que nosotros queramos
        Notification notificacion = new Notification(R.drawable.creep006, "Amiguito cerca!!", System.currentTimeMillis());
        Log.i("notificaciones", "notificación creada");
        notificacion.flags = Notification.FLAG_AUTO_CANCEL;
        notificacion.vibrate = new long [] {100, 250, 100, 500};
        notificacion.sound = Uri.withAppendedPath(Audio.Media.INTERNAL_CONTENT_URI, "7"); 
        notificacion.ledARGB = 0xff0000ff;
        notificacion.ledOnMS = 400;
        notificacion.ledOffMS = 1000;
        notificacion.flags |= Notification.FLAG_SHOW_LIGHTS;
        
        //Definimos la interfaz de la notificación
        Context context = getApplicationContext();
        CharSequence contentTitle = "Tiene "+ ActividadMapa.numeroUsuariosApintar +" amigüito(s) visible(s)";
        CharSequence contentText = "Ya puedes ver tu(s) nuevo(s) amigüito(s)";
        Log.i("notificaciones", "últimas variables creadas");
        //Especificamos qué acción realizar si pulsamos sobre la notificación
        Intent notificationIntent = new Intent(this, ActividadMapa.class);
        
        Log.i("notificaciones", "intent de Notifiaciones creado");
        notificationIntent.setFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
        PendingIntent contentIntent = PendingIntent.getActivity(this, 0, notificationIntent, 0);
        Log.i("notificaciones", "PendingIntent creado");
        
        
        SharedPreferences settings = getSharedPreferences("perfil", MODE_PRIVATE);
        SharedPreferences.Editor editor = settings.edit();
		editor.putString("deNotificaciones", "true");
		
		
		Log.i("notificacionesIntent", "tenemos mensaje?: " + msg);
		Log.i("notificacionesIntent", "tenemos número?: " + numeroUsuariosApintar);
		
		editor.putString("usuariosApintar", msg);
     	editor.putInt("numeroUsuariosPintar", numeroUsuariosApintar);
     	
     	editor.commit();
        notificacion.setLatestEventInfo(context, contentTitle, contentText, contentIntent);
       
        Log.i("notificaciones", "Introducidos datos de evento");
       
        //Lanzamos la notificación
        mNotificationManager.notify(0, notificacion);
        Log.i("notificaciones", "notificación lanzada");
        
        finish();
    }

	
}